Do not mark edits as minor by default on new section or new page creation
Closed, ResolvedPublic

Description

Author: craig.wenger

Description:
Under My preferences->Editing, there is an option to 'Mark all edits minor by default'. However, this is rarely or possibly never desirable when the edit is initiated by the user clicking the 'New section' tab on discussion pages. I recommend an enhancement whereby either (1) the user is not able to mark the edit as minor when clicking the 'New section' tab, or (2) the minor edit checkbox is unchecked by default, regardless of user preferences, after clicking the 'New section' tab.


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 11:33 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz27860.
bzimport created this task.Via LegacyMar 5 2011, 2:41 AM
bzimport added a comment.Via ConduitApr 23 2011, 3:47 PM

jp.posma wrote:

Fix

This patch hides the minor edit checkbox when editing a new page or new section, and makes sure it cannot be enabled by injecting the form value in HTML.

Attached: 27860

MarkAHershberger added a comment.Via ConduitApr 23 2011, 7:00 PM

Applied in r86786

Nemo_bis added a comment.Via ConduitOct 5 2011, 8:35 PM

This just introduces new problems. There's no reason why users should be forced to mark such edits as not minor; the definition of minor edit varies among wikis etc.
Comment 0 introduces the problem as caused by the "Mark all edits minor by
default"; the solution is therefore "Do not mark edits as minor by default on new section or new page creation", because that can be indeed be a not-intended behaviour for newbies who don't understand the feature.
Bug 5754 had already been marked as invalid, and the change should be reverted.

Also, it's been noticed on #wikimedia-tech that this is not clearly noted in the changelog.

By the way, this seems to be perceived as a problem only by en.wiki, and bug 24313 has been fixed after this was submitted.

Peachey88 added a comment.Via ConduitOct 28 2011, 1:52 AM

I also dislike this change... I edit several wikis where new pages can be minor edits and should be marked as such.

Doug added a comment.Via ConduitNov 24 2011, 9:20 PM

This was a very bad idea and I noticed it shortly after it was implemented but didn't know the cause. On Wikisources this is very undesirable. Now it is impossible to create a new page from OCR in the pagespace and mark it as minor, unless it's done by a bot. Creation of a page (as in a pagespace page) is almost always minor. On many projects too, the creation of redirects is minor. The "fix" of course also prevents this on non-WMF instances of mediawiki. This should be reverted.

bzimport added a comment.Via ConduitMar 16 2012, 6:51 PM

fabrice.laussy wrote:

This is also bad for me, I use minor edits to prevent announcement of important changes on my wiki:

http://laussy.org/wiki/Blog:Notes/Mediawiki_Extension_News

Now with 1.18 and this new "feature", an essentially empty page such as:

http://laussy.org/wiki/Blog:Notes/HTML_5_drag_and_drop_interaction_with_clipbard

is trumpeted in my http://laussy.org/wiki/News.

I wish there is the option to mark as minor a newly created page.

MarkAHershberger added a comment.Via ConduitMar 16 2012, 7:51 PM

Since this has been deployed for a while, I don't think I would want to just revert it.

A possible solution would be to add another global and check that with the isNew() check. This would allow sites to set this on a per-site basis. enwiki could have a different policy than zhwiki then.

Thoughts?

bzimport added a comment.Via ConduitMar 17 2012, 12:25 PM

fabrice.laussy wrote:

Yes, a per-site basis would be the best option. I understand that on certain wikis, the creation of a new page should never be regarded as minor but on others this could even be the general rule.

Doug added a comment.Via ConduitApr 9 2012, 2:22 PM

I disagree. What project wants this? Comment 3 mentions enwiki but I don't even understand why they would want this and would appreciate a link to the discussion on enwiki where they decided this. Certainly redirects and maybe dabs are minor as are the creation of new user subpages, at the very least.

There was never any reason to make this change. The correct change as noted by Nemo_bis, was to uncheck the box by default and possibly remove the option to change this to checked by default, not remove the box from new pages altogether. Nobody ever really asked for that change; two alternatives were presented and one was simply implemented without comment as to why that was perceived as the better alternative.

Additionally, the original problem was characterized as being for making a "New Section" not creating a page, a new section to an already existing page is actually less likely to be minor than a new page is. This should be reverted unless there is a wiki that thinks it actually needs it to be turned on - that is that they never have minor page creations even for redirects - unless you're a bot, bots can still create new pages as minor.

duplicatebug added a comment.Via ConduitNov 11 2012, 11:34 AM

This bug is fixed and already released, please open a new bug, when a global is needed to disable this "feature". Thanks.

Aklapper added a project: Wikisource.Via WebMar 10 2015, 4:16 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.